콘텐츠로 건너뛰기

Stable Diffusion V3

통합

모델 id stable-diffusion-v3-medium
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v3-medium?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.035 35 API 크레딧 이 페이지에서 실행

API 키 받기
Stability AI 텍스트를 이미지로 #diffusion#style

선택적 프롬프트 확장과 최대 4개 이미지 생성을 지원하는 Stable Diffusion 3 Medium text-to-image

Stability AI · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지 생성을 안내하는 프롬프트입니다.

image_size 기본값 square_hd

생성된 이미지의 치수입니다.

num_images 기본값 1

생성할 이미지 수입니다.

고급 negative_prompt · num_inference_steps · guidance_scale · seed · prompt_expansion · enable_safety_checker
기본값

이미지 생성 시 사용되는 네거티브 프롬프트입니다.

기본값 28

실행할 추론 단계 수입니다.

기본값 5

이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.

Stable Diffusion에서 이미지를 재현하기 위한 시드입니다. 모델 버전, 프롬프트, 시드를 변경하지 않으면 매번 이미지를 정확히 재현할 수 있습니다.

POST /run/stable-diffusion-v3-medium?wait=20 견적 → $0.035
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v3-medium?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Stable Diffusion V3 정보

`prompt`를 이미지로 변환하는 Multimodal Diffusion Transformer 모델입니다. `negative_prompt`, `prompt_expansion` 및 6개의 사전 설정 `image_size` 값을 지원하며 기본값은 square_hd입니다. 단계 수는 1~50, 기본값은 28이고 `guidance_scale`은 0~20입니다. `num_images`는 1~4를 허용합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
이미지 생성을 안내하는 프롬프트입니다.
negative_prompt선택 사항
유형string
기본값
이미지 생성 시 사용되는 네거티브 프롬프트입니다.
prompt_expansion선택 사항
유형boolean
기본값false
활성화하면 세부 정보를 추가하는 프롬프트 업샘플링입니다.
image_size선택 사항
유형object
기본값square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
생성된 이미지의 치수입니다.
num_inference_steps선택 사항
유형integer
기본값28
1 – 50
실행할 추론 단계 수입니다.
seed선택 사항
유형integer | null
Stable Diffusion에서 이미지를 재현하기 위한 시드입니다. 모델 버전, 프롬프트, 시드를 변경하지 않으면 매번 이미지를 정확히 재현할 수 있습니다.
guidance_scale선택 사항
유형number
기본값5
0 – 20
이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 4
생성할 이미지 수입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사입니다. 안전하지 않은 것으로 표시된 이미지 대신 검은 이미지를 반환합니다. true는 검사를 활성화하고, false는 권한 있는 계정에서만 비활성화합니다. 권한이 없는 요청은 항상 검사됩니다.
필수 표준 이름, 사용 가능

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-diffusion-v3-medium",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string",
    "num_images": 1
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, width, height, content_type}생성된 이미지의 파일 정보입니다.
timings
object
seed
integer이미지 생성 시드입니다. 입력에서 시드를 생략하면 무작위로 선택된 값이 포함되고, 그렇지 않으면 제공한 값이 반복됩니다.
has_nsfw_concepts
array of boolean생성된 이미지에 NSFW 개념이 나타나는지 나타냅니다.
prompt
string이미지 생성에 사용되는 프롬프트입니다.
num_images
integer생성할 이미지 수입니다.

더 많은 모델: 텍스트를 이미지로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/stable-diffusion-v3-medium.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt